import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

class PollPage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Directionality(
      textDirection: TextDirection.ltr,
      child: Scaffold(
        appBar: AppBar(
          leading: IconButton(
            onPressed: () {
              Navigator.pop(context);
            },
            icon: Icon(Icons.arrow_back, color: Colors.white),
          ),
          title: Text('Create a poll'),
          backgroundColor: Color(0xFF083356),
        ),
        body: _buildContent(),
      ),
    );
  }

  _buildContent() {
    return Padding(
      padding: EdgeInsets.all(ScreenUtil().setHeight(20)),
      child: ListView(
        children: [
          _buildField(
              labelText: 'Your question *',
              hintText: 'e.g., How do you commute to work?',
              maxLength: 140,
              isQuestion: true),
          _buildField(
              labelText: 'Option 1 *',
              hintText: 'e.g., Public Transport',
              maxLength: 30,
              isQuestion: false),
          _buildField(
              labelText: 'Option 2 *',
              hintText: 'e.g., Walking',
              maxLength: 30,
              isQuestion: false),
        ],
      ),
    );
  }

  _buildField(
      {@required String labelText,
      @required String hintText,
      @required int maxLength,
      @required bool isQuestion}) {
    return TextField(
      maxLength: maxLength,
      maxLines: isQuestion == true ? null : 1,
      decoration: new InputDecoration(
        border: new OutlineInputBorder(
          borderSide: new BorderSide(color: Colors.teal),
        ),
        hintText: hintText,
        labelText: labelText,
      ),
    );
  }
}
